Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
IBackup Interface
Members See Also Send Feedback

An interface that can optionally be used to override the default behavior performed by the Backup(String, BackupOptions) and BackupDatabase(String, String, Boolean) methods. Implementation of this interface is required if the DatabaseEnvironment.backup or DatabaseEnvironment.backupDatabase target parameter is null. You configure the environment with this handler via BackupHandler.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public interface IBackup

Visual Basic (Declaration)
    Public Interface IBackup

Visual C++
    public interface class IBackup

# See Also

IBackup Members
BerkeleyDB Namespace